Mailinglist Archive: opensuse-buildservice (148 mails)

< Previous Next >
Re: [opensuse-buildservice] prjconf to resolve conflicts?
On Wed, Sep 18, 2013 at 02:45:42PM +0200, Guillaume Gardet wrote:
I am trying to resolve an "unresolvable" package state due to the following
error:
"conflict for provider of XXX = 0.1.2, needed by YYY (provider XXX is
conflicted by installed ZZZ)"

I tried to add a "Prefer: ZZZ" line in prjconf but is has no effect.

ZZZ is already installed, so a "Prefer: ZZZ" doesn't help.
"Prefer: XXX" might do it, though. Or "Prefer: -ZZZ".

It's hard to tell without knowing why XXX and ZZZ where chosen.
Try 'osc buildinfo --debug', it contains a trace of the dependency
solving process.

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
SUSE LINUX Products GmbH, GF Jeff Hawn, HRB 16746 AG Nuernberg
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
References